%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-augeas
Version:        0.7
Release:        %mkrel 1
Summary:        OCaml bindings for Augeas configuration API
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://people.redhat.com/~rjones/augeas/
Source0:        https://people.redhat.com/~rjones/augeas/files/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 3.09.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(augeas) >= 0.1.0
BuildRequires:  chrpath

%description
Augeas is a unified system for editing arbitrary configuration
files. This provides complete OCaml bindings for Augeas.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       augeas-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

# Pass -g to ocamlmklib
sed -i 's/ocamlmklib/& -g/' Makefile.in


%build
%configure
%ifarch %{ocaml_native_compiler}
# _smp_mflags breaks the build.
make
%else
make mlaugeas.cma test_augeas
%endif
make doc


%check
make check


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

# The upstream 'make install' rule is missing '*.so' and distributes
# '*.cmi' instead of just the augeas.cmi file.  Temporary fix:
#make install
%ifarch %{ocaml_native_compiler}
ocamlfind install augeas META *.mli *.cmx *.cma *.cmxa *.a augeas.cmi *.so
%else
ocamlfind install augeas META *.mli *.cma *.a augeas.cmi *.so
%endif

%ocaml_files


%files -f .ofiles
%license COPYING.LIB


%files devel -f .ofiles-devel
%doc html


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.7-1.mga10
+ Revision: 2193779
- new version: 0.7

* Sat Sep 16 2023 tv <tv> 0.6-6.mga10
+ Revision: 1987209
- Bump rel for task-obsolete
- Restore for libguestfs
- drop unused ocaml package

* Sun Jan 10 2021 pterjan <pterjan> 0.6-4.mga8
+ Revision: 1670429
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.6-3.mga8
+ Revision: 1551129
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.6-2.mga8
+ Revision: 1545963
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 0.6-1.mga8
+ Revision: 1485652
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.5-16.mga7
+ Revision: 1324025
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.5-15.mga7
+ Revision: 1323721
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.5-14.mga7
+ Revision: 1299834
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.5-13.mga7
+ Revision: 1179475
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.5-12.mga6
+ Revision: 1056235
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.5-11.mga6
+ Revision: 956292
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.5-10.mga6
+ Revision: 893239
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 0.5-9.mga5
+ Revision: 746776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-8.mga5
+ Revision: 682986
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-7.mga4
+ Revision: 508389
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5-6.mga3
+ Revision: 361147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 blue_prawn <blue_prawn> 0.5-5.mga3
+ Revision: 302502
- rebuild for new ocaml 4.00
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.5-2.mga3
+ Revision: 300841
- build requires libselinux-devel
- build requires libselinux-devel
- mageia-ise the spec file
- new rpm group for ocaml
- updated to last version 0.5

* Sun Dec 04 2011 malo <malo> 0.4-2.mga2
+ Revision: 176048
- spec clean-up
- adding missing Requires augeas-devel

* Sun Nov 06 2011 malo <malo> 0.4-1.mga2
+ Revision: 164234
- imported package ocaml-augeas


* Thu Aug 13 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4-1mdv2010.0
+ Revision: 415795
- corrected group
- imported from fedora's spec file by Richard Jones

